// JavaScript Document

var fieldArray				= new Array();
fieldArray['name'] 			= "Name:";
fieldArray['company'] 		= "Company:";
fieldArray['phone'] 		= "Phone:";
fieldArray['website'] 		= "Website:";
fieldArray['email'] 		= "Email:";
fieldArray['message'] 		= "What type of class are you interested in?";

var formclass 		= '.contactform';

window.addEvent('domready', function(){
	var formElements 	= $$(formclass + ' input, ' + formclass + ' textarea');

	for(i=0;i<formElements.length;i++) {
		for(var key in fieldArray) {
			if(fieldArray.hasOwnProperty(key)) {
				if(formElements[i].id==key) 				{if(formElements[i].value=='') {toggleVal(formElements[i], fieldArray[key]);}}
			}
		}
		formElements[i].addEvent('focus', function(){	
			for(var key in fieldArray) {
				if(fieldArray.hasOwnProperty(key)) {
					if(this.id==key) 			{toggleVal(this, fieldArray[key]);}
				}
			}
		});
		formElements[i].addEvent('blur', function(){	
			for(var key in fieldArray) {
				if(fieldArray.hasOwnProperty(key)) {
					if(this.id==key) 			{toggleVal(this, fieldArray[key]);}
				}
			}
		});
	}
});
function toggleVal(el, value) {
	if(el.value=='') {
		el.value=value;
	}
	else if(value==el.value){
		el.value='';
	}
}
function onFormSubmitContact() {
	var formElements 	= $$(formclass + ' input, ' + formclass + ' textarea');

	for(i=0;i<formElements.length;i++) {
		for(var key in fieldArray) {
			if(fieldArray.hasOwnProperty(key)) {
				if(formElements[i].id==key) 						{toggleVal(formElements[i], fieldArray[key]);}
			}
		}
	}
}